package com.boman.web.core.mapper;

import com.boman.web.core.domain.VaccineInfoOperation;
import com.boman.web.core.domain.VaccineInfoUser;

import java.util.List;

/**
 * @author tjf
 * @Date: 2021/09/07/9:58
 */
public interface VaccineInfoUserMapper {

    /**
     * 查询疫苗信息操作
     *
     * @param idCard 用户身份证
     * @return 结果
     */
    public List<VaccineInfoUser> selectVaccineInfoUserByIdCard(String idCard);


    /**
     * 新增疫苗信息操作
     *
     * @param vaccineInfoUser 疫苗信息操作
     * @return 结果
     */
    public int insertVaccineInfoUser(VaccineInfoUser vaccineInfoUser);

    /**
     * 修改疫苗信息操作
     *
     * @param vaccineInfoUser 疫苗信息操作
     * @return 结果
     */
    public int updateVaccineInfoUser(VaccineInfoUser vaccineInfoUser);

    /**
     * 删除疫苗信息操作
     *
     * @param id 疫苗信息操作ID
     * @return 结果
     */
    public int deleteVaccineInfoUserById(Long id);

    /**
     * 批量删除疫苗信息操作
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteVaccineInfoUserByIds(Long[] ids);
}
